#include "StrengthRune.h"
#include "Spieler.h"


StrengthRuneEffect::StrengthRuneEffect( Spieler *zSpieler )
    : Effect( zSpieler, 75.f + ( 75.f / 100.f ) * zSpieler->getAbklingZeitVerringerung() )
{
    zSpieler->setArmor( zSpieler->getArmor() + 7 );
    zSpieler->setSchadenBonus( zSpieler->getSchadenBonus() + 3 );
}

StrengthRuneEffect::~StrengthRuneEffect()
{
    zSpieler->setArmor( zSpieler->getArmor() - 7 );
    zSpieler->setSchadenBonus( zSpieler->getSchadenBonus() - 3 );
}